Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic
Class BasicPortlet

    java.lang.Object
      org.jboss.portal.core.samples.basic.BasicPortlet

All Implemented Interfaces:
  javax.portlet.Portlet

    public class BasicPortlet

extends java.lang.Object
implements javax.portlet.Portlet

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`BasicPortlet()`

Method Summary
`void` | `destroy()`
`void` | `init(javax.portlet.PortletConfig config)`
`void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`
`void` | `render(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPortlet

    public BasicPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Specified by:
    `init` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest request,
                              javax.portlet.ActionResponse response)
                       throws javax.portlet.PortletException,
                              javax.portlet.PortletSecurityException,
                              java.io.IOException

  Specified by:
    `processAction` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### render

    public void render(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       javax.portlet.PortletSecurityException,
                       java.io.IOException

  Specified by:
    `render` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.portlet.Portlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD